hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Enis Soztutar (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HBASE-8187) trunk/0.95 tarball packaging
Date Tue, 26 Mar 2013 18:35:16 GMT

    [ https://issues.apache.org/jira/browse/HBASE-8187?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13614405#comment-13614405
] 

Enis Soztutar commented on HBASE-8187:
--------------------------------------

bq. that is just gross. Do we really need the -Dversion=0.95.0-hadoop2 bit?
No arguments on that. The problem is that, we have to publish the jars build against Hadoop2
as well as Hadoop1 to maven repo. See the arguments at HBASE-6929. We have considered using
classifiers for this, it just does not work (BTW did I mention how much I love maven). The
only thing we could come up with was to publish the artifact with a different version. 
                
> trunk/0.95 tarball packaging
> ----------------------------
>
>                 Key: HBASE-8187
>                 URL: https://issues.apache.org/jira/browse/HBASE-8187
>             Project: HBase
>          Issue Type: Bug
>            Reporter: stack
>            Priority: Blocker
>
> Packaging needs work now we have maven multi-moduled.  Sounds like folks want a package
for hadoop1 and hadoop2.  Also want source package and maybe even a package that includes
test jars so can run integration tests.
> Let this be umbrella issue for package fixes.  Will hang smaller issues off this one
as we figure them.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message